<div class="card" th:fragment="message-box">
    <div class="card-header">
        <strong>Actividad del cliente</strong>
        <i id="saving-icon" style="display: none;" class="fa fa-save faa-flash animated float-right"></i>
    </div>
    <div class="card-block pre-scrollable" id="message-container">        
        <div class="card" th:each="msg : ${messages}">
            <div class="card-block">
                <div class="h6">
                    <span th:if="${msg.line != null}" class="badge badge-success float-right" th:text="${msg.line}">619403608</span>
                    <span th:if="${msg.line == null}" class="badge badge-warning float-right">Cliente</span>
                </div>
                <pre th:text="${msg.text}"></pre>
                <small class="text-muted" th:text="${msg.user}">Admin.</small>
                <small class="float-right text-muted">
                    <span th:if="${msg.date != null}" th:text="${#dates.format(msg.date, 'dd/MM/yyyy HH:mm')}"></span>
                    <i th:if="${msg.techNotif}" class="icon-tag" title="Notificación área técnica"></i>
                    <i th:if="${msg.incidence}" class="fa fa-exclamation-circle alert-danger" title="Incidencia"></i>
                    <a href="#">
                        <i th:if="${msg.incidence && msg.incidenceStatus == 'pending'}" class="fa fa-pencil action-button" id="edit-incidence" title="Editar" th:attr="data-id=${msg.id}"></i>
                    </a>
                </small>
            </div>
        </div>
    </div>
    <div class="card-footer">
        <div class="form-inline">
            <select class="form-control" id="line-selected"  title="Si el mensaje esta asociado a alguna linea, seleccionarla">
                <option value="">Linea...</option>
                <option th:each="l : ${lines}" th:value="${l.number}" th:text="${l.number}"></option>
            </select>
            &nbsp;
            <label class="checkbox-inline" for="chk-incidence">
                <input id="chk-incidence" name="chk-incidence" value="incidence" type="checkbox" class="form-control"> Incidencia
            </label>
            &nbsp;            
            <label class="checkbox-inline" for="chk-tech-notif">
                <input id="chk-tech-notif" name="inline-checkbox1" value="option1" type="checkbox"> Notificar Área Técnica 
            </label>
        </div>
        <textarea id="textarea-input" name="textarea-input" rows="2" class="form-control" placeholder="Contenido..."></textarea>
        <input type="hidden" id="client-id" th:value="${client.id}"/>
        <button id="message-save" type="submit" class="btn btn-sm btn-success float-right" title="Ctrl+Enter">
            <i class="fa fa-save"></i> Guardar
        </button>        
    </div>
</div>